#!/bin/bash
#SBATCH -t #TIME_LIMIT#
#SBATCH -n #TASKS#
#SBATCH -N #NODES# --ntasks-per-node=#TASKSPERNODE#
#SBATCH -p #PARTITION#
#SBATCH --constraint=#CONSTRAINT#
#SBATCH -J #BENCHNAME#

#ENV#
module load compilerwrappers

# Use the intel compilers 
module unload fortran/intel
module unload c/intel
module load fortran/intel/15.0.3 
module load c/intel/15.0.3 
/opt/intel/composer_xe_2015.3.187/mkl/bin/mklvars.sh intel64
module load mkl 
module load mpi/impi 
module load perl

cd #OUTDIR#

echo "<jobstart at=\"`date`\" />" >> #OUTDIR#/start_info.xml
#PREPROCESS#
#MEASUREMENT# #STARTER# #ARGS_STARTER# #EXECUTABLE# #ARGS_EXECUTABLE#
#POSTPROCESS#
echo "<jobend at=\"`date`\" />" >> #OUTDIR#/end_info.xml
